Skip to main content
GET
Get Post analytics

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://api.x.com/2/oauth2/authorize
Token URL
https://api.x.com/2/oauth2/token
Scopes2
tweet.read
View all Posts you can see, including those from protected accounts.
users.read
View any account you can see, including protected accounts.

Query Parameters

ids
string[]
required

A comma separated list of Post IDs. Up to 100 are allowed in a single request.

Required array length: 1 - 100 elements

Unique identifier of this Tweet. This is returned as a string in order to avoid complications with languages and tools that cannot handle large integers.

Pattern: ^[0-9]{1,19}$
end_time
string<date-time>
required

YYYY-MM-DDTHH:mm:ssZ. The UTC timestamp representing the end of the time range.

start_time
string<date-time>
required

YYYY-MM-DDTHH:mm:ssZ. The UTC timestamp representing the start of the time range.

granularity
enum<string>
default:total
required

The granularity for the search counts results.

Available options:
hourly,
daily,
weekly,
total
analytics.fields
enum<string>[]

A comma separated list of Analytics fields to display. The fields available for a Analytics object.

Minimum array length: 1
Available options:
app_install_attempts,
app_opens,
bookmarks,
detail_expands,
email_tweet,
engagements,
follows,
hashtag_clicks,
id,
impressions,
likes,
media_views,
permalink_clicks,
quote_tweets,
replies,
retweets,
shares,
timestamp,
unfollows,
unlikes,
url_clicks,
user_profile_clicks
Example:

Response

The request has succeeded.

data
object[]
errors
object[]
Minimum array length: 1

An HTTP Problem Details object, as defined in IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).